# $Revision: 1.18 $, $Date: 2002/07/20 00:35:36 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Convert
%define	pnam	ASN1
%define		_noautoreq "perl(Convert::ASN1::Debug)" "perl(Convert::ASN1::IO)" "perl(Convert::ASN1::_decode)" "perl(Convert::ASN1::_encode)"
Summary:	Convert::ASN1 perl module
Summary(pl):	Modu perla Convert::ASN1
Name:		perl-Convert-ASN1
Version:	0.15
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
I consider Convert::ASN1 a replacement for my earlier Convert::BER
module. While ASN1.pm is not as flexable as BER.pm, because PDUs must
be described up fronta, it is also more powerful. For example an LDAP
filter is a recursive structure, BER.pm cannot encode or decode this
in a single pass, ASN1.pm can.

Convert::ASN1 will parse ASN.1 descriptions and will encode from and
decode to perl data structures using a hierarchy of references.

%description -l pl
Convert::ASN1 ma by zamiennikiem wczeniejszego Convert::BER tego
samego autora. ASN1.pm nie jest tak elastyczny jak BER.pm, poniewa
PDU musz by opisane, jest bardziej uyteczny. Na przykad filtr LDAP
jest struktur rekurencyjn, BER.pm nie moe kodowa ani dekodowa
takiej w jednym przebiegu, ASN1.pm moe.

Convert::ASN1 parsuje opisy ASN.1 i koduje/dekoduje do perlowych
struktur danych uywajc hierarchii referencji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%dir %{perl_sitelib}/Convert/ASN1
%{perl_sitelib}/Convert/ASN1/*.pm
%{perl_sitelib}/Convert/ASN1.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Convert-ASN1.spec,v $
Revision 1.18  2002/07/20 00:35:36  qboosh
- removed ASN1.pod; release 2

Revision 1.17  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.16  2002/07/11 07:57:48  depesz
- new version; should work; STBR

Revision 1.15  2002/07/10 08:46:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.14  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.13  2002/02/25 10:30:12  depesz
cleanup; revision++

Revision 1.12  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/13 14:10:18  depesz
automatic: Source location unfied, Relase Up

Revision 1.10  2002/02/10 15:39:12  depesz
adapterized

Revision 1.9  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/12 09:36:15  qboosh
- pl description, release 4

Revision 1.7  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.6  2001/11/27 23:30:39  filon
- fixed docs
- release 2

Revision 1.5  2001/09/20 11:33:25  mis
- autoupdated to 0.14

Revision 1.4  2001/09/08 07:41:57  kloczek
- updated to 0.13.

Revision 1.3  2001/08/02 08:23:33  mis
- autoupdated to 0.12

Revision 1.2  2001/06/12 18:26:07  mis
- autoupdated to 0.11

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
